VARKON Version 1.15 1997-10-24

> ## cre_edit - Function

> Create edit
> Description
> Creates a text edit in a dialogue window.
> Syntax
> cre_edit(window, pos, width, height, frame, str, maxchr)

> INT | window;
> VECTOR | pos;
> FLOAT | width;
> FLOAT | height;
> FLOAT | frame;
> STRING | str*132;
> INT | maxchr;

> Principal parameters

> window | - Dialogue window identity
> pos | - Upper left corner relative to dialogue window
> width | - Horisontal size in pixels
> height | - Vertical size in pixels
> frame | - Frame width in pixels (Only recognized in UNIX)
> str | - Default textstring
> maxchr | - Sets the maximum number of characters possible to enter

> Optional parameters

> None. |

> Return value
> An INT holding the id of the edit created.
> Comments
> In the UNIX implementation an event is generated when focus leaves an edit. In the Microsoft Windows implementation no events are geneated by edits.

VARKON Homepage | Index